org.firebirdsql.extern.decimal

## Enum DecimalType

- java.lang.Object
- - java.lang.Enum<DecimalType>
  - - org.firebirdsql.extern.decimal.DecimalType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<DecimalType>

    public enum DecimalType
    extends java.lang.Enum<DecimalType>

Type of decimal.

Author:
  Mark Rotteveel

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FINITE`
`INFINITY`
`NAN`
`SIGNALING_NAN`

### Method Summary

All Methods Static Methods Concrete Methods
`static DecimalType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DecimalType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FINITE

    public static final DecimalType FINITE

#### INFINITY

    public static final DecimalType INFINITY

#### NAN

    public static final DecimalType NAN

#### SIGNALING_NAN

    public static final DecimalType SIGNALING_NAN

### Method Detail

#### values

    public static DecimalType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DecimalType c : DecimalType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DecimalType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null